package cv1;
 
public class Kocka extends Zvire {
 
    private String srst;
 
    @Override
    protected void doVydejZvuk() {
        System.out.println("Meow");
    }
 
    public Kocka(String jmeno, String barva, String vaha, String srst) {
        super(jmeno, barva, vaha);
        this.srst = srst;
    }
 
    public String getSrst() {
        return srst;
    }
 
    public void setSrst(String srst) {
        this.srst = srst;
    }
 
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = super.hashCode();
        result = prime * result + ((srst == null) ? 0 : srst.hashCode());
        return result;
    }
 
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (!super.equals(obj))
            return false;
        if (getClass() != obj.getClass())
            return false;
        Kocka other = (Kocka) obj;
        if (srst == null) {
            if (other.srst != null)
                return false;
        } else if (!srst.equals(other.srst))
            return false;
        return true;
    }
 
}
