package cv1;
 
public abstract class Zvire {
 
    private String jmeno;
    private String barva;
    private String vaha;
 
    public String getJmeno() {
        return jmeno;
    }
 
    public void setJmeno(String jmeno) {
        this.jmeno = jmeno;
    }
 
    public String getBarva() {
        return barva;
    }
 
    public void setBarva(String barva) {
        this.barva = barva;
    }
 
    public String getVaha() {
        return vaha;
    }
 
    public void setVaha(String vaha) {
        this.vaha = vaha;
    }
 
    public final void vydejZvuk() {
        System.out.print("VYPIS: ");
        doVydejZvuk();
    }
 
    protected abstract void doVydejZvuk();
 
    public final void obrana() {
        for (int i = 0; i < 3; i++) {
            doVydejZvuk();
        }
    }
 
    public Zvire(String jmeno, String barva, String vaha) {
        super();
        this.jmeno = jmeno;
        this.barva = barva;
        this.vaha = vaha;
    }
 
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((barva == null) ? 0 : barva.hashCode());
        result = prime * result + ((jmeno == null) ? 0 : jmeno.hashCode());
        result = prime * result + ((vaha == null) ? 0 : vaha.hashCode());
        return result;
    }
 
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        Zvire other = (Zvire) obj;
        if (barva == null) {
            if (other.barva != null)
                return false;
        } else if (!barva.equals(other.barva))
            return false;
        if (jmeno == null) {
            if (other.jmeno != null)
                return false;
        } else if (!jmeno.equals(other.jmeno))
            return false;
        if (vaha == null) {
            if (other.vaha != null)
                return false;
        } else if (!vaha.equals(other.vaha))
            return false;
        return true;
    }
 
}
